<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateKitchenCategoriesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: kitchen_categories
         */
        Schema::create('kitchen_categories', function ($table) {
            $table->increments('id');
            $table->string('name', 255)->nullable();
            $table->string('slug', 255)->nullable();
            $table->enum('status', ['Show','Hide'])->nullable();
            $table->string('user_type', 255)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 255)->nullable();
            $table->package::package.fieldtype.KEY('PRIMARY')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('kitchen_categories');
    }
}
