<?php

namespace Litecms\KitchenBlog;

use DB;
use Illuminate\Database\Seeder;

class KitchenCategoryTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('kitchen_categories')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'kitchen_blog.kitchen_category.view',
                'name'      => 'View KitchenCategory',
            ],
            [
                'slug'      => 'kitchen_blog.kitchen_category.create',
                'name'      => 'Create KitchenCategory',
            ],
            [
                'slug'      => 'kitchen_blog.kitchen_category.edit',
                'name'      => 'Update KitchenCategory',
            ],
            [
                'slug'      => 'kitchen_blog.kitchen_category.delete',
                'name'      => 'Delete KitchenCategory',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'kitchen_blog.kitchen_category.verify',
                'name'      => 'Verify KitchenCategory',
            ],
            [
                'slug'      => 'kitchen_blog.kitchen_category.approve',
                'name'      => 'Approve KitchenCategory',
            ],
            [
                'slug'      => 'kitchen_blog.kitchen_category.publish',
                'name'      => 'Publish KitchenCategory',
            ],
            [
                'slug'      => 'kitchen_blog.kitchen_category.unpublish',
                'name'      => 'Unpublish KitchenCategory',
            ],
            [
                'slug'      => 'kitchen_blog.kitchen_category.cancel',
                'name'      => 'Cancel KitchenCategory',
            ],
            [
                'slug'      => 'kitchen_blog.kitchen_category.archive',
                'name'      => 'Archive KitchenCategory',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/kitchen_blog/kitchen_category',
                'name'        => 'KitchenCategory',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/kitchen_blog/kitchen_category',
                'name'        => 'KitchenCategory',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'kitchen_category',
                'name'        => 'KitchenCategory',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'KitchenBlog',
                'module'    => 'KitchenCategory',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'kitchen_blog.kitchen_category.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
