<?php

namespace Litecms\KitchenBlog;

use DB;
use Illuminate\Database\Seeder;

class KitchenCommentTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('kitchen_comments')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'kitchen_blog.kitchen_comment.view',
                'name'      => 'View KitchenComment',
            ],
            [
                'slug'      => 'kitchen_blog.kitchen_comment.create',
                'name'      => 'Create KitchenComment',
            ],
            [
                'slug'      => 'kitchen_blog.kitchen_comment.edit',
                'name'      => 'Update KitchenComment',
            ],
            [
                'slug'      => 'kitchen_blog.kitchen_comment.delete',
                'name'      => 'Delete KitchenComment',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'kitchen_blog.kitchen_comment.verify',
                'name'      => 'Verify KitchenComment',
            ],
            [
                'slug'      => 'kitchen_blog.kitchen_comment.approve',
                'name'      => 'Approve KitchenComment',
            ],
            [
                'slug'      => 'kitchen_blog.kitchen_comment.publish',
                'name'      => 'Publish KitchenComment',
            ],
            [
                'slug'      => 'kitchen_blog.kitchen_comment.unpublish',
                'name'      => 'Unpublish KitchenComment',
            ],
            [
                'slug'      => 'kitchen_blog.kitchen_comment.cancel',
                'name'      => 'Cancel KitchenComment',
            ],
            [
                'slug'      => 'kitchen_blog.kitchen_comment.archive',
                'name'      => 'Archive KitchenComment',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/kitchen_blog/kitchen_comment',
                'name'        => 'KitchenComment',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/kitchen_blog/kitchen_comment',
                'name'        => 'KitchenComment',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'kitchen_comment',
                'name'        => 'KitchenComment',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'KitchenBlog',
                'module'    => 'KitchenComment',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'kitchen_blog.kitchen_comment.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
