<?php

namespace Litecms\KitchenBlog;

use DB;
use Illuminate\Database\Seeder;

class KitchenTagTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('kitchen_tags')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'kitchen_blog.kitchen_tag.view',
                'name'      => 'View KitchenTag',
            ],
            [
                'slug'      => 'kitchen_blog.kitchen_tag.create',
                'name'      => 'Create KitchenTag',
            ],
            [
                'slug'      => 'kitchen_blog.kitchen_tag.edit',
                'name'      => 'Update KitchenTag',
            ],
            [
                'slug'      => 'kitchen_blog.kitchen_tag.delete',
                'name'      => 'Delete KitchenTag',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'kitchen_blog.kitchen_tag.verify',
                'name'      => 'Verify KitchenTag',
            ],
            [
                'slug'      => 'kitchen_blog.kitchen_tag.approve',
                'name'      => 'Approve KitchenTag',
            ],
            [
                'slug'      => 'kitchen_blog.kitchen_tag.publish',
                'name'      => 'Publish KitchenTag',
            ],
            [
                'slug'      => 'kitchen_blog.kitchen_tag.unpublish',
                'name'      => 'Unpublish KitchenTag',
            ],
            [
                'slug'      => 'kitchen_blog.kitchen_tag.cancel',
                'name'      => 'Cancel KitchenTag',
            ],
            [
                'slug'      => 'kitchen_blog.kitchen_tag.archive',
                'name'      => 'Archive KitchenTag',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/kitchen_blog/kitchen_tag',
                'name'        => 'KitchenTag',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/kitchen_blog/kitchen_tag',
                'name'        => 'KitchenTag',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'kitchen_tag',
                'name'        => 'KitchenTag',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'KitchenBlog',
                'module'    => 'KitchenTag',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'kitchen_blog.kitchen_tag.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
