Lavalite package that provides kitchen_blog management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/kitchen_blog`.

    "litecms/kitchen_blog": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\KitchenBlog\Providers\KitchenBlogServiceProvider::class,

And also add it to alias

    'KitchenBlog'  => Litecms\KitchenBlog\Facades\KitchenBlog::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\KitchenBlogTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\KitchenBlog\Providers\KitchenBlogServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\KitchenBlog\Providers\KitchenBlogServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\KitchenBlog\Providers\KitchenBlogServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/kitchen_blog/{modulename}

**User**

    http://path-to-route-folder/user/kitchen_blog/{modulename}

**Public**

    http://path-to-route-folder/kitchen_blogs


### API endpoints

**List**

    http://path-to-route-folder/api/user/kitchen_blog/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/kitchen_blog/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/kitchen_blog/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/kitchen_blog/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/kitchen_blog/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/kitchen_blog/{modulename}/{slug}
    METHOD: GET