<?php

// web routes  for kitchen
Route::prefix('{guard}/kitchen_blog')->group(function () {
    Route::resource('kitchen', 'KitchenResourceController');
});

// Public routes for kitchen
Route::get('kitchen_blogs/', 'KitchenPublicController@index');
Route::get('kitchen_blogs/{slug?}', 'KitchenPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'KitchenResourceController');
            });
            // Public routes for pages
            Route::get('kitchen_blogs/', 'KitchenPublicController@index');
            Route::get('kitchen_blogs/{slug?}', 'KitchenPublicController@show');
        }
    );
}

// web routes  for kitchen_category
Route::prefix('{guard}/kitchen_blog')->group(function () {
    Route::resource('kitchen_category', 'KitchenCategoryResourceController');
});

// Public routes for kitchen_category
Route::get('kitchen_blogs/', 'KitchenCategoryPublicController@index');
Route::get('kitchen_blogs/{slug?}', 'KitchenCategoryPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'KitchenCategoryResourceController');
            });
            // Public routes for pages
            Route::get('kitchen_blogs/', 'KitchenCategoryPublicController@index');
            Route::get('kitchen_blogs/{slug?}', 'KitchenCategoryPublicController@show');
        }
    );
}

// web routes  for kitchen_comment
Route::prefix('{guard}/kitchen_blog')->group(function () {
    Route::resource('kitchen_comment', 'KitchenCommentResourceController');
});

// Public routes for kitchen_comment
Route::get('kitchen_blogs/', 'KitchenCommentPublicController@index');
Route::get('kitchen_blogs/{slug?}', 'KitchenCommentPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'KitchenCommentResourceController');
            });
            // Public routes for pages
            Route::get('kitchen_blogs/', 'KitchenCommentPublicController@index');
            Route::get('kitchen_blogs/{slug?}', 'KitchenCommentPublicController@show');
        }
    );
}

// web routes  for kitchen_tag
Route::prefix('{guard}/kitchen_blog')->group(function () {
    Route::resource('kitchen_tag', 'KitchenTagResourceController');
});

// Public routes for kitchen_tag
Route::get('kitchen_blogs/', 'KitchenTagPublicController@index');
Route::get('kitchen_blogs/{slug?}', 'KitchenTagPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'KitchenTagResourceController');
            });
            // Public routes for pages
            Route::get('kitchen_blogs/', 'KitchenTagPublicController@index');
            Route::get('kitchen_blogs/{slug?}', 'KitchenTagPublicController@show');
        }
    );
}

