<?php

namespace Litecms\KitchenBlog\Forms;

class Kitchen
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'category_id' => [
                    "type" => 'numeric',
                    "label" => trans('kitchen_blog::kitchen.label.category_id'),
                    "placeholder" => trans('kitchen_blog::kitchen.placeholder.category_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'title' => [
                    "type" => 'text',
                    "label" => trans('kitchen_blog::kitchen.label.title'),
                    "placeholder" => trans('kitchen_blog::kitchen.placeholder.title'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'caption' => [
                    "type" => 'text',
                    "label" => trans('kitchen_blog::kitchen.label.caption'),
                    "placeholder" => trans('kitchen_blog::kitchen.placeholder.caption'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'description' => [
                    "type" => 'html_editor',
                    "label" => trans('kitchen_blog::kitchen.label.description'),
                    "placeholder" => trans('kitchen_blog::kitchen.placeholder.description'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'images' => [
                    "type" => 'text',
                    "label" => trans('kitchen_blog::kitchen.label.images'),
                    "placeholder" => trans('kitchen_blog::kitchen.placeholder.images'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'tags' => [
                    "type" => 'text',
                    "label" => trans('kitchen_blog::kitchen.label.tags'),
                    "placeholder" => trans('kitchen_blog::kitchen.placeholder.tags'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'viewcount' => [
                    "type" => 'numeric',
                    "label" => trans('kitchen_blog::kitchen.label.viewcount'),
                    "placeholder" => trans('kitchen_blog::kitchen.placeholder.viewcount'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'meta_title' => [
                    "type" => 'text',
                    "label" => trans('kitchen_blog::kitchen.label.meta_title'),
                    "placeholder" => trans('kitchen_blog::kitchen.placeholder.meta_title'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'meta_description' => [
                    "type" => 'text',
                    "label" => trans('kitchen_blog::kitchen.label.meta_description'),
                    "placeholder" => trans('kitchen_blog::kitchen.placeholder.meta_description'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'meta_keyword' => [
                    "type" => 'text',
                    "label" => trans('kitchen_blog::kitchen.label.meta_keyword'),
                    "placeholder" => trans('kitchen_blog::kitchen.placeholder.meta_keyword'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'published' => [
                    "type" => 'radios',
                    "label" => trans('kitchen_blog::kitchen.label.published'),
                    "placeholder" => trans('kitchen_blog::kitchen.placeholder.published'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'published_at' => [
                    "type" => 'date_time_picker',
                    "label" => trans('kitchen_blog::kitchen.label.published_at'),
                    "placeholder" => trans('kitchen_blog::kitchen.placeholder.published_at'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'PRIMARY' => [
                    "type" => 'package::package.formcontrols.KEY',
                    "label" => trans('kitchen_blog::kitchen.label.PRIMARY'),
                    "placeholder" => trans('kitchen_blog::kitchen.placeholder.PRIMARY'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
