<?php

namespace Litecms\KitchenBlog\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Kitchen policy
        'Litecms\KitchenBlog\Models\Kitchen' => \Litecms\KitchenBlog\Policies\KitchenPolicy::class,// Bind KitchenCategory policy
        'Litecms\KitchenBlog\Models\KitchenCategory' => \Litecms\KitchenBlog\Policies\KitchenCategoryPolicy::class,// Bind KitchenComment policy
        'Litecms\KitchenBlog\Models\KitchenComment' => \Litecms\KitchenBlog\Policies\KitchenCommentPolicy::class,// Bind KitchenTag policy
        'Litecms\KitchenBlog\Models\KitchenTag' => \Litecms\KitchenBlog\Policies\KitchenTagPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
