<?php

namespace Litecms\KitchenBlog\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class KitchenCategoryTransformer extends TransformerAbstract
{
    public function transform(\Litecms\KitchenBlog\Models\KitchenCategory $kitchen_category)
    {
        return [
            'id'                => $kitchen_category->getRouteKey(),
            'key'               => [
                'public'    => $kitchen_category->getPublicKey(),
                'route'     => $kitchen_category->getRouteKey(),
            ], 
            'name'              => $kitchen_category->name,
            'slug'              => $kitchen_category->slug,
            'user_type'         => $kitchen_category->user_type,
            'user_id'           => $kitchen_category->user_id,
            'upload_folder'     => $kitchen_category->upload_folder,
            'deleted_at'        => $kitchen_category->deleted_at,
            'PRIMARY'           => $kitchen_category->PRIMARY,
            'url'               => [
                'public'    => trans_url('kitchen_blog/'.$kitchen_category->getPublicKey()),
                'user'      => guard_url('kitchen_blog/kitchen_category/'.$kitchen_category->getRouteKey()),
            ], 
            'status'            => trans('app.'.$kitchen_category->status),
            'created_at'        => format_date($kitchen_category->created_at),
            'updated_at'        => format_date($kitchen_category->updated_at),
        ];
    }
}