<?php

namespace Litecms\KitchenBlog\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class KitchenCommentTransformer extends TransformerAbstract
{
    public function transform(\Litecms\KitchenBlog\Models\KitchenComment $kitchen_comment)
    {
        return [
            'id'                => $kitchen_comment->getRouteKey(),
            'key'               => [
                'public'    => $kitchen_comment->getPublicKey(),
                'route'     => $kitchen_comment->getRouteKey(),
            ], 
            'comment'           => $kitchen_comment->comment,
            'author'            => $kitchen_comment->author,
            'email'             => $kitchen_comment->email,
            'mobile'            => $kitchen_comment->mobile,
            'slug'              => $kitchen_comment->slug,
            'published'         => $kitchen_comment->published,
            'user_id'           => $kitchen_comment->user_id,
            'user_type'         => $kitchen_comment->user_type,
            'kitchen_id'        => $kitchen_comment->kitchen_id,
            'deleted_at'        => $kitchen_comment->deleted_at,
            'PRIMARY'           => $kitchen_comment->PRIMARY,
            'url'               => [
                'public'    => trans_url('kitchen_blog/'.$kitchen_comment->getPublicKey()),
                'user'      => guard_url('kitchen_blog/kitchen_comment/'.$kitchen_comment->getRouteKey()),
            ], 
            'status'            => trans('app.'.$kitchen_comment->status),
            'created_at'        => format_date($kitchen_comment->created_at),
            'updated_at'        => format_date($kitchen_comment->updated_at),
        ];
    }
}