<?php

namespace Litecms\KitchenBlog\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class KitchenTagTransformer extends TransformerAbstract
{
    public function transform(\Litecms\KitchenBlog\Models\KitchenTag $kitchen_tag)
    {
        return [
            'id'                => $kitchen_tag->getRouteKey(),
            'key'               => [
                'public'    => $kitchen_tag->getPublicKey(),
                'route'     => $kitchen_tag->getRouteKey(),
            ], 
            'name'              => $kitchen_tag->name,
            'frequency'         => $kitchen_tag->frequency,
            'slug'              => $kitchen_tag->slug,
            'deleted_at'        => $kitchen_tag->deleted_at,
            'PRIMARY'           => $kitchen_tag->PRIMARY,
            'url'               => [
                'public'    => trans_url('kitchen_blog/'.$kitchen_tag->getPublicKey()),
                'user'      => guard_url('kitchen_blog/kitchen_tag/'.$kitchen_tag->getRouteKey()),
            ], 
            'status'            => trans('app.'.$kitchen_tag->status),
            'created_at'        => format_date($kitchen_tag->created_at),
            'updated_at'        => format_date($kitchen_tag->updated_at),
        ];
    }
}