<?php

namespace Litecms\KitchenBlog\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class KitchenTransformer extends TransformerAbstract
{
    public function transform(\Litecms\KitchenBlog\Models\Kitchen $kitchen)
    {
        return [
            'id'                => $kitchen->getRouteKey(),
            'key'               => [
                'public'    => $kitchen->getPublicKey(),
                'route'     => $kitchen->getRouteKey(),
            ], 
            'category_id'       => $kitchen->category_id,
            'title'             => $kitchen->title,
            'caption'           => $kitchen->caption,
            'description'       => $kitchen->description,
            'images'            => $kitchen->images,
            'tags'              => $kitchen->tags,
            'viewcount'         => $kitchen->viewcount,
            'slug'              => $kitchen->slug,
            'meta_title'        => $kitchen->meta_title,
            'meta_description'  => $kitchen->meta_description,
            'meta_keyword'      => $kitchen->meta_keyword,
            'published'         => $kitchen->published,
            'published_at'      => $kitchen->published_at,
            'user_type'         => $kitchen->user_type,
            'user_id'           => $kitchen->user_id,
            'upload_folder'     => $kitchen->upload_folder,
            'deleted_at'        => $kitchen->deleted_at,
            'PRIMARY'           => $kitchen->PRIMARY,
            'url'               => [
                'public'    => trans_url('kitchen_blog/'.$kitchen->getPublicKey()),
                'user'      => guard_url('kitchen_blog/kitchen/'.$kitchen->getRouteKey()),
            ], 
            'status'            => trans('app.'.$kitchen->status),
            'created_at'        => format_date($kitchen->created_at),
            'updated_at'        => format_date($kitchen->updated_at),
        ];
    }
}