<?php

namespace Litecms\KitchenBlog\Workflow;

use Litecms\KitchenBlog\Models\KitchenCategory;
use Litecms\KitchenBlog\Notifications\KitchenCategoryWorkflow as KitchenCategoryNotifyer;
use Notification;

class KitchenCategoryNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param KitchenCategory $kitchen_category
     *
     * @return void
     */
    public function complete(KitchenCategory $kitchen_category)
    {
        return Notification::send($kitchen_category->user, new KitchenCategoryNotifyer($kitchen_category, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param KitchenCategory $kitchen_category
     *
     * @return void
     */
    public function verify(KitchenCategory $kitchen_category)
    {
        return Notification::send($kitchen_category->user, new KitchenCategoryNotifyer($kitchen_category, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param KitchenCategory $kitchen_category
     *
     * @return void
     */
    public function approve(KitchenCategory $kitchen_category)
    {
        return Notification::send($kitchen_category->user, new KitchenCategoryNotifyer($kitchen_category, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param KitchenCategory $kitchen_category
     *
     * @return void
     */
    public function publish(KitchenCategory $kitchen_category)
    {
        return Notification::send($kitchen_category->user, new KitchenCategoryNotifyer($kitchen_category, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param KitchenCategory $kitchen_category
     *
     * @return void
     */
    public function archive(KitchenCategory $kitchen_category)
    {
        return Notification::send($kitchen_category->user, new KitchenCategoryNotifyer($kitchen_category, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param KitchenCategory $kitchen_category
     *
     * @return void
     */
    public function unpublish(KitchenCategory $kitchen_category)
    {
        return Notification::send($kitchen_category->user, new KitchenCategoryNotifyer($kitchen_category, 'unpublish'));;

    }
}
