<?php

namespace Litecms\KitchenBlog\Workflow;

use Litecms\KitchenBlog\Models\KitchenComment;
use Litecms\KitchenBlog\Notifications\KitchenCommentWorkflow as KitchenCommentNotifyer;
use Notification;

class KitchenCommentNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param KitchenComment $kitchen_comment
     *
     * @return void
     */
    public function complete(KitchenComment $kitchen_comment)
    {
        return Notification::send($kitchen_comment->user, new KitchenCommentNotifyer($kitchen_comment, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param KitchenComment $kitchen_comment
     *
     * @return void
     */
    public function verify(KitchenComment $kitchen_comment)
    {
        return Notification::send($kitchen_comment->user, new KitchenCommentNotifyer($kitchen_comment, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param KitchenComment $kitchen_comment
     *
     * @return void
     */
    public function approve(KitchenComment $kitchen_comment)
    {
        return Notification::send($kitchen_comment->user, new KitchenCommentNotifyer($kitchen_comment, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param KitchenComment $kitchen_comment
     *
     * @return void
     */
    public function publish(KitchenComment $kitchen_comment)
    {
        return Notification::send($kitchen_comment->user, new KitchenCommentNotifyer($kitchen_comment, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param KitchenComment $kitchen_comment
     *
     * @return void
     */
    public function archive(KitchenComment $kitchen_comment)
    {
        return Notification::send($kitchen_comment->user, new KitchenCommentNotifyer($kitchen_comment, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param KitchenComment $kitchen_comment
     *
     * @return void
     */
    public function unpublish(KitchenComment $kitchen_comment)
    {
        return Notification::send($kitchen_comment->user, new KitchenCommentNotifyer($kitchen_comment, 'unpublish'));;

    }
}
