<?php

namespace Litecms\KitchenBlog\Workflow;

use Litecms\KitchenBlog\Models\KitchenTag;
use Litecms\KitchenBlog\Notifications\KitchenTagWorkflow as KitchenTagNotifyer;
use Notification;

class KitchenTagNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param KitchenTag $kitchen_tag
     *
     * @return void
     */
    public function complete(KitchenTag $kitchen_tag)
    {
        return Notification::send($kitchen_tag->user, new KitchenTagNotifyer($kitchen_tag, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param KitchenTag $kitchen_tag
     *
     * @return void
     */
    public function verify(KitchenTag $kitchen_tag)
    {
        return Notification::send($kitchen_tag->user, new KitchenTagNotifyer($kitchen_tag, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param KitchenTag $kitchen_tag
     *
     * @return void
     */
    public function approve(KitchenTag $kitchen_tag)
    {
        return Notification::send($kitchen_tag->user, new KitchenTagNotifyer($kitchen_tag, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param KitchenTag $kitchen_tag
     *
     * @return void
     */
    public function publish(KitchenTag $kitchen_tag)
    {
        return Notification::send($kitchen_tag->user, new KitchenTagNotifyer($kitchen_tag, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param KitchenTag $kitchen_tag
     *
     * @return void
     */
    public function archive(KitchenTag $kitchen_tag)
    {
        return Notification::send($kitchen_tag->user, new KitchenTagNotifyer($kitchen_tag, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param KitchenTag $kitchen_tag
     *
     * @return void
     */
    public function unpublish(KitchenTag $kitchen_tag)
    {
        return Notification::send($kitchen_tag->user, new KitchenTagNotifyer($kitchen_tag, 'unpublish'));;

    }
}
